import Transport = require('winston-transport');
import { TelemetryClient } from 'applicationinsights';
interface ApplicationInsightTransportOptions extends Transport.TransportStreamOptions {
    /**
     * The instrumentation key
     */
    key?: string;
    /**
     * The AI instance
     */
    client?: TelemetryClient;
    appInsights?: any;
}
export declare class ApplicationInsightsTransport extends Transport {
    private _client;
    private _silent;
    private _level;
    private _handleExceptions;
    constructor(options?: ApplicationInsightTransportOptions);
    log(info: any, callback: Function): void;
}
export {};
